## DeleteEnvironment **post** `/gitpod.v1.EnvironmentService/DeleteEnvironment` Permanently deletes an environment. Running environments are automatically stopped before deletion. If force is true, the environment is deleted immediately without graceful shutdown. ### Examples - Delete with graceful shutdown: Deletes an environment after gracefully stopping it. ```yaml environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048" force: false ``` - Force delete: Immediately deletes an environment without waiting for graceful shutdown. ```yaml environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048" force: true ``` ### Body Parameters - `environmentId: optional string` environment_id specifies the environment that is going to delete. +required - `force: optional boolean` force indicates whether the environment should be deleted forcefully When force deleting an Environment, the Environment is removed immediately and environment lifecycle is not respected. Force deleting can result in data loss on the environment. ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.EnvironmentService/DeleteEnvironment \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json {} ```